Skip to main content
PATCH
/
v1
/
customers
/
{id}
/
subscriptions
Update single subscriber's shipping and billing information
curl --request PATCH \
  --url https://prod01.copilot.fabric.inc/data-subscription/v1/customers/{id}/subscriptions \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{}'
import requests

url = "https://prod01.copilot.fabric.inc/data-subscription/v1/customers/{id}/subscriptions"

payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};

fetch('https://prod01.copilot.fabric.inc/data-subscription/v1/customers/{id}/subscriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "subscriptions": [
    {
      "item": {
        "sku": "MOBO-X570"
      }
    }
  ]
}
{
"responseStatus": "BAD_REQUEST",
"message": "Bad request"
}
{
"responseStatus": "NOT_FOUND",
"message": "Not found"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Customer ID

Example:

"62cffd65e8d7eb868c6a29d6"

Body

application/json

Details for updating customer billing and shipping information

Details for updating customer billing and shipping information

shipTo
object

Ship-to address and phone details

billTo
object

Bill-to address and phone details

Response

Request processed successfully

Subscription details after updating customer billing and shipping information

subscriptions
object[]

Subscriptions associated with this customer